Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.persistence
Class SCOType

    java.lang.Object
      de.grogra.reflect.MemberDecorator
          de.grogra.reflect.TypeDecorator
              de.grogra.persistence.ManageableType
                  de.grogra.persistence.SCOType

All Implemented Interfaces:
  Member, Type

Direct Known Subclasses:
  Abs.Type, Acos.Type, AdditionalArrange.Type, AllFilter.Type, AreaLight.Type, ArrangeLOD.Type, Asin.Type, Atan.Type, BernoulliProbability.Type, BetaprimeProbability.Type, BetaProbability.Type, BinomialProbability.Type, BlackbodySPD.Type, BlackbodySpectralCurve.Type, BSplineOfVertices.Type, Camera.Type, CauchyProbability.Type, Ceil.Type, Chain.Type, ChannelSPD.Type, ChisquareProbability.Type, Circular.Type, ComponentTransform.Type, ConstantSPD.Type, ConstantSpectralCurve.Type, Cos.Type, Cosh.Type, Cubic.Type, CustomFunction.Type, DartThrowing.Type, E.Type, ErlangProbability.Type, Exp.Type, Exp2.Type, Expm1.Type, Floor.Type, FluxLightModel.Type, FluxLightModelTracer.Type, FontAdapter.Type, FProbability.Type, GammaProbability.Type, GeometricArrange.Type, GeometricProbability.Type, GraphDescriptor.Type, Graytone.Type, GRSMesh.Type, HalftoningArrange.Type, HeightField.Type, HeightFieldMapping.Type, HornLOD.Type, HydraLOD.Type, Id.Type, ImageAdapter.Type, InvgammaProbability.Type, IOR.Type, IORShader.Type, IrregularSpectralCurve.Type, IsoCurve.Type, ItemReference.Type, Kachelung.Type, LightBase.Type, LightDistribution.Type, LightDistributionResource.Type, LightModel.Type, LocationParameterBase.Type, Log.Type, Log10.Type, LogisticProbability.Type, Lognormal2Probability.Type, LognormalProbability.Type, Matrix3dType, Matrix3fType, Matrix4dType, Matrix4fType, Navigator3DFactory.Type, NegexpProbability.Type, NoneFilter.Type, Normal2Probability.Type, NormalProbability.Type, ParetoProbability.Type, PascalProbability.Type, Phi.Type, PhiBallLOD.Type, Pi.Type, PoissonProbability.Type, ProbabilityArrange.Type, ProductSurface.Type, Projection.Type, Rad.Type, Ramp.Type, RandomBase.Type, RegularPolygon.Type, RegularSpectralCurve.Type, RGBSpectralCurve.Type, Rnd.Type, Rndabs.Type, RuledSurface.Type, Scallop.Type, Sequence.Type, Sin.Type, Sin01.Type, Sinh.Type, SkinnedSurface.Type, SPD.Type, SPDCurve.Type, SPDResource.Type, SpectralLight.Type, SpectralLightMapNode.Type, SplineFunction.Type, Sqr.Type, Sqrt.Type, StraightLine.Type, SubGrid.Type, Sweep.Type, SwitchShader.Type, Tan.Type, Tanh.Type, TreeLOD.Type, Triangle.Type, TstudentProbability.Type, Tuple2dType, Tuple2fType, Tuple3dType, Tuple3fType, Tuple4dType, Tuple4fType, TurtleState.Type, UniformProbability.Type, UniformScale.Type, VertexSetBase.Type, View.Type, Voronoi_Lloyd.Type, WeibullProbability.Type

    public class SCOType

extends ManageableType

Nested Class Summary
`class` | `SCOType.Field`

Nested classes/interfaces inherited from class de.grogra.persistence.ManageableType
`ManageableType.ArrayComponent`

Field Summary
`protected static SCOType` | `$TYPE`
`protected static int` | `FIELD_COUNT`
`protected java.lang.Object` | `representative`

Fields inherited from class de.grogra.persistence.ManageableType
`FIELD_NAME_SERIALIZATION, FIELD_NODE_SERIALIZATION, finished, LIST_SERIALIZATION`

Fields inherited from interface de.grogra.reflect.Type
`BOOLEAN, BYTE, CHAR, CLASS, DOUBLE, FLOAT, FLOATING_POINT, INT, INTEGRAL, INVALID, LOCAL_CLASS_MODIFIERS, LONG, MEMBER_CLASS_MODIFIERS, MEMBER_INTERFACE_MODIFIERS, NULL, NUMBER, NUMERIC, OBJECT, SHORT, STRING, TEXTAREA, TOP_LEVEL_CLASS_MODIFIERS, TOP_LEVEL_INTERFACE_MODIFIERS, TYPE, TYPE_0, VOID`

Fields inherited from interface de.grogra.reflect.Member
`ABSTRACT, ACCESS_MODIFIERS, ARRAY, BRIDGE, CONSTANT, FINAL, INTERFACE, JAVA_MODIFIERS, LOCAL_CLASS, MIN_UNUSED_MODIFIER, NATIVE, PRIVATE, PROTECTED, PUBLIC, STATIC, STRICT, SYNCHRONIZED, SYNTHETIC, TRANSIENT, VARARGS, VOLATILE`

Constructor Summary
`SCOType(java.lang.Class type, SCOType supertype)`
`SCOType(java.lang.Object representative, SCOType supertype)`
`SCOType(Type type, SCOType supertype)`

Method Summary
`protected SCOType.Field` | `addManagedField(java.lang.String name, int modifiers, java.lang.Class type, java.lang.Class componentType, int id)`
`protected SCOType.Field` | `addManagedField(java.lang.String name, int modifiers, Type type, Type componentType, int id)`
`protected boolean` | `getBoolean(java.lang.Object object, int id)`
`protected byte` | `getByte(java.lang.Object object, int id)`
`protected char` | `getChar(java.lang.Object object, int id)`
`protected double` | `getDouble(java.lang.Object object, int id)`
`protected float` | `getFloat(java.lang.Object object, int id)`
`protected int` | `getInt(java.lang.Object object, int id)`
`protected long` | `getLong(java.lang.Object object, int id)`
`protected java.lang.Object` | `getObject(java.lang.Object object, int id)`
`java.lang.Object` | `getRepresentative()`
`protected short` | `getShort(java.lang.Object object, int id)`
`protected boolean` | `isWritable(java.lang.Object object, SCOType.Field field)`
`java.lang.Object` | `newInstance()`
`protected java.lang.Object` | `newInstance(java.lang.Object repr)`
`protected void` | `setBoolean(java.lang.Object object, int id, boolean value)`
`protected void` | `setByte(java.lang.Object object, int id, byte value)`
`protected void` | `setChar(java.lang.Object object, int id, char value)`
`protected void` | `setDouble(java.lang.Object object, int id, double value)`
`protected void` | `setFloat(java.lang.Object object, int id, float value)`
`protected void` | `setInt(java.lang.Object object, int id, int value)`
`protected void` | `setLong(java.lang.Object object, int id, long value)`
`protected void` | `setObject(java.lang.Object object, int id, java.lang.Object value)`
`protected void` | `setShort(java.lang.Object object, int id, short value)`
`ManageableType` | `validate()`

Methods inherited from class de.grogra.persistence.ManageableType
`addManagedField, cloneManageable, cloneNonsharedObject, cloneObject, cloneObject, forClass, forName, forType, getFCOFields, getManageableSupertype, getManagedField, getManagedField, getManagedFieldCount, getSerializationMethod, getSupertype, isAssignableFrom, isSerializable, read, readObject, replaceType, resolveAliasField, setObject, setSerializable, setSerializationMethod, write`

Methods inherited from class de.grogra.reflect.TypeDecorator
`createArray, getArrayType, getBinaryName, getComponentType, getDeclaredField, getDeclaredFieldCount, getDeclaredInterface, getDeclaredInterfaceCount, getDeclaredMethod, getDeclaredMethodCount, getDeclaredType, getDeclaredTypeCount, getDefaultElementValue, getImplementationClass, getLookup, getPackage, getTypeId, getTypeLoader, isInstance, isStringSerializable, toString, undecorate, valueOf`

Methods inherited from class de.grogra.reflect.MemberDecorator
`getDeclaredAnnotation, getDeclaredAnnotationCount, getDeclaringType, getDecoratedMember, getDescriptor, getModifiers, getName, getSimpleName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.reflect.Member
`getDeclaredAnnotation, getDeclaredAnnotationCount, getDeclaringType, getDescriptor, getModifiers, getName, getSimpleName`

Field Detail

### $TYPE

    protected static final SCOType $TYPE

### FIELD_COUNT

    protected static final int FIELD_COUNT

See Also:
  Constant Field Values

### representative

    protected final java.lang.Object representative

Constructor Detail

### SCOType

    public SCOType(java.lang.Class type,
                   SCOType supertype)

### SCOType

    public SCOType(java.lang.Object representative,
                   SCOType supertype)

### SCOType

    public SCOType(Type type,
                   SCOType supertype)

Method Detail

### addManagedField

    protected final SCOType.Field addManagedField(java.lang.String name,
                                                  int modifiers,
                                                  java.lang.Class type,
                                                  java.lang.Class componentType,
                                                  int id)

### addManagedField

    protected final SCOType.Field addManagedField(java.lang.String name,
                                                  int modifiers,
                                                  Type type,
                                                  Type componentType,
                                                  int id)

### getBoolean

    protected boolean getBoolean(java.lang.Object object,
                                 int id)

### getByte

    protected byte getByte(java.lang.Object object,
                           int id)

### getChar

    protected char getChar(java.lang.Object object,
                           int id)

### getDouble

    protected double getDouble(java.lang.Object object,
                               int id)

### getFloat

    protected float getFloat(java.lang.Object object,
                             int id)

### getInt

    protected int getInt(java.lang.Object object,
                         int id)

### getLong

    protected long getLong(java.lang.Object object,
                           int id)

### getObject

    protected java.lang.Object getObject(java.lang.Object object,
                                         int id)

### getRepresentative

    public java.lang.Object getRepresentative()

  Specified by:
    `getRepresentative` in class `ManageableType`

### getShort

    protected short getShort(java.lang.Object object,
                             int id)

### isWritable

    protected boolean isWritable(java.lang.Object object,
                                 SCOType.Field field)

### newInstance

    public java.lang.Object newInstance()
                                 throws java.lang.reflect.InvocationTargetException,
                                        java.lang.InstantiationException,
                                        java.lang.IllegalAccessException

  Specified by:
    `newInstance` in interface `Type`
  Overrides:
    `newInstance` in class `TypeDecorator`
  Throws:
    `java.lang.reflect.InvocationTargetException`
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`

### newInstance

    protected java.lang.Object newInstance(java.lang.Object repr)
                                    throws java.lang.reflect.InvocationTargetException,
                                           java.lang.InstantiationException,
                                           java.lang.IllegalAccessException

  Throws:
    `java.lang.reflect.InvocationTargetException`
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`

### setBoolean

    protected void setBoolean(java.lang.Object object,
                              int id,
                              boolean value)

### setByte

    protected void setByte(java.lang.Object object,
                           int id,
                           byte value)

### setChar

    protected void setChar(java.lang.Object object,
                           int id,
                           char value)

### setDouble

    protected void setDouble(java.lang.Object object,
                             int id,
                             double value)

### setFloat

    protected void setFloat(java.lang.Object object,
                            int id,
                            float value)

### setInt

    protected void setInt(java.lang.Object object,
                          int id,
                          int value)

### setLong

    protected void setLong(java.lang.Object object,
                           int id,
                           long value)

### setObject

    protected void setObject(java.lang.Object object,
                             int id,
                             java.lang.Object value)

### setShort

    protected void setShort(java.lang.Object object,
                            int id,
                            short value)

### validate

    public ManageableType validate()

  Overrides:
    `validate` in class `ManageableType`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD